Index: svn/src/northbridge/via/vx800/vga.c
===================================================================
--- svn.orig/src/northbridge/via/vx800/vga.c
+++ svn/src/northbridge/via/vx800/vga.c
@@ -126,15 +126,8 @@ static void vga_init(device_t dev)
 
 }
 
-static void vga_read_resources(device_t dev)
-{
-	dev->rom_address = (void *)(0xffffffff - CONFIG_ROM_SIZE + 1);
-	dev->on_mainboard = 1;
-	pci_dev_read_resources(dev);
-}
-
 static struct device_operations vga_operations = {
-	.read_resources = vga_read_resources,
+	.read_resources = pci_dev_read_resources,
 	.set_resources = pci_dev_set_resources,
 	.enable_resources = pci_dev_enable_resources,
 	.init = vga_init,
Index: svn/src/drivers/Makefile.inc
===================================================================
--- svn.orig/src/drivers/Makefile.inc
+++ svn/src/drivers/Makefile.inc
@@ -1,3 +1,2 @@
-subdirs-y += pci
 subdirs-y += generic/debug
 subdirs-y += ati/ragexl
Index: svn/src/include/device/device.h
===================================================================
--- svn.orig/src/include/device/device.h
+++ svn/src/include/device/device.h
@@ -70,7 +70,6 @@ struct device {
 	unsigned int    enabled : 1;	/* set if we should enable the device */
 	unsigned int    initialized : 1; /* set if we have initialized the device */
 	unsigned int    on_mainboard : 1;
-	unsigned long   rom_address;
 
 	u8 command;
 
Index: svn/src/mainboard/artecgroup/dbe61/realmode/chip.h
===================================================================
--- svn.orig/src/mainboard/artecgroup/dbe61/realmode/chip.h
+++ svn/src/mainboard/artecgroup/dbe61/realmode/chip.h
@@ -1,10 +1,6 @@
 #ifndef PCI_REALMODE_H
 #define PCI_REALMODE_H
 
-struct drivers_pci_realmode_config 
-{
-       unsigned long rom_address;
-};
 //struct chip_operations;
 extern struct chip_operations drivers_pci_realmode_ops;
 
Index: svn/src/mainboard/sunw/ultra40/Config.lb
===================================================================
--- svn.orig/src/mainboard/sunw/ultra40/Config.lb
+++ svn/src/mainboard/sunw/ultra40/Config.lb
@@ -210,8 +210,6 @@ chip northbridge/amd/amdk8/root_complex
         	                        register "ide1_enable" = "1"
                 	                register "sata0_enable" = "1"
                         	        register "sata1_enable" = "1"
-#					register "nic_rom_address" = "0xfff80000" # 64k
-#					register "raid_rom_address" = "0xfff90000"
 					register "mac_eeprom_smbus" = "3" # 1: smbus under 2e.8, 2: SM0 3: SM1
 					register "mac_eeprom_addr" = "0x51"
 				end
@@ -243,7 +241,6 @@ chip northbridge/amd/amdk8/root_complex
                                 	device pci c.0 off end # PCI E 2
                                 	device pci d.0 off end # PCI E 1
                                 	device pci e.0 on end # PCI E 0
-#					register "nic_rom_address" = "0xfff80000" # 64k
                                         register "mac_eeprom_smbus" = "3"
                                         register "mac_eeprom_addr" = "0x51"
                         	end
Index: svn/src/mainboard/sunw/ultra40/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/sunw/ultra40/devicetree.cb
+++ svn/src/mainboard/sunw/ultra40/devicetree.cb
@@ -106,8 +106,6 @@ chip northbridge/amd/amdk8/root_complex
         	                        register "ide1_enable" = "1"
                 	                register "sata0_enable" = "1"
                         	        register "sata1_enable" = "1"
-#					register "nic_rom_address" = "0xfff80000" # 64k
-#					register "raid_rom_address" = "0xfff90000"
 					register "mac_eeprom_smbus" = "3" # 1: smbus under 2e.8, 2: SM0 3: SM1
 					register "mac_eeprom_addr" = "0x51"
 				end
@@ -139,7 +137,6 @@ chip northbridge/amd/amdk8/root_complex
                                 	device pci c.0 off end # PCI E 2
                                 	device pci d.0 off end # PCI E 1
                                 	device pci e.0 on end # PCI E 0
-#					register "nic_rom_address" = "0xfff80000" # 64k
                                         register "mac_eeprom_smbus" = "3"
                                         register "mac_eeprom_addr" = "0x51"
                         	end
